import 'package:fish_redux/fish_redux.dart';

enum HomeAction { getSDKVersion, clickAliyunPrivacyPolicy, clickCameraPush, clickInteractiveLive,clickInteractivePK }

class HomeActionCreator {
  static Action getSDKVersion(String version) {
    return Action(HomeAction.getSDKVersion, payload: version);
  }

  static Action clickAliyunPrivacyPolicy() =>
      const Action(HomeAction.clickAliyunPrivacyPolicy);

  static Action clickCameraPushAction() =>
      const Action(HomeAction.clickCameraPush);

  static Action clickInteractiveLiveAction() =>
      const Action(HomeAction.clickInteractiveLive);

  static Action clickInteractivePKAction() =>
      const Action(HomeAction.clickInteractivePK);
}
