import 'package:fish_redux/fish_redux.dart';

import 'interactive_info_effect.dart';
import 'interactive_info_reducer.dart';
import 'interactive_info_state.dart';
import 'interactive_info_view.dart';


class InteractiveInfoPage extends Page<InteractiveInfoState, Map<String, dynamic>> {
  InteractiveInfoPage()
      : super(
    initState: initState,
    reducer: buildReducer(),
    effect: buildEffect(),
    view: buildView,
    dependencies: Dependencies<InteractiveInfoState>(
      adapter: null,
      slots: <String, Dependent<InteractiveInfoState>>{},
    ),
    middleware: <Middleware<InteractiveInfoState>>[],
  );
}
