import 'package:fish_redux/fish_redux.dart';

import 'interactive_enrollment_effect.dart';
import 'interactive_enrollment_reducer.dart';
import 'interactive_enrollment_state.dart';
import 'interactive_enrollment_view.dart';


class InteractiveEnrollmentPage extends Page<InteractiveEnrollmentState, Map<String, dynamic>> {
  InteractiveEnrollmentPage()
      : super(
    initState: initState,
    effect: buildEffect(),
    reducer: buildReducer(),
    view: buildView,
    dependencies: Dependencies<InteractiveEnrollmentState>(
      adapter: null,
      slots: <String, Dependent<InteractiveEnrollmentState>>{},
    ),
    middleware: <Middleware<InteractiveEnrollmentState>>[],
  );
}
