import 'package:fish_redux/fish_redux.dart';

enum InteractiveInfoAction {
  clickNext,
  clickGoBack,
  changeAppId,
  onChangeAppId,
  changeAppKey,
  onChangeAppKey,
  changePlayDomain,
  onChangePlayDomain
}

class InteractiveInfoActionCreator {
  static Action clickNext() => const Action(InteractiveInfoAction.clickNext);

  static Action clickGoBack() =>
      const Action(InteractiveInfoAction.clickGoBack);

  static Action changeAppId(newValue) =>
      Action(InteractiveInfoAction.changeAppId, payload: newValue);

  static Action onChangeAppId(newValue) =>
      Action(InteractiveInfoAction.onChangeAppId, payload: newValue);

  static Action changeAppKey(newValue) =>
      Action(InteractiveInfoAction.changeAppKey, payload: newValue);

  static Action onChangeAppKey(newValue) =>
      Action(InteractiveInfoAction.onChangeAppKey, payload: newValue);

  static Action changePlayDomain(newValue) =>
      Action(InteractiveInfoAction.changePlayDomain, payload: newValue);

  static Action onChangePlayDomain(newValue) =>
      Action(InteractiveInfoAction.onChangePlayDomain, payload: newValue);
}
