import 'package:fish_redux/fish_redux.dart';

import 'interactive_mode_effect.dart';
import 'interactive_mode_reducer.dart';
import 'interactive_mode_state.dart';
import 'interactive_mode_view.dart';


class InteractiveModePage extends Page<InteractiveModeState, Map<String, dynamic>> {
  InteractiveModePage()
      : super(
    initState: initState,
    reducer: buildReducer(),
    effect: buildEffect(),
    view: buildView,
    dependencies: Dependencies<InteractiveModeState>(
      adapter: null,
      slots: <String, Dependent<InteractiveModeState>>{},
    ),
    middleware: <Middleware<InteractiveModeState>>[],
  );
}
