import 'package:fish_redux/fish_redux.dart';
import 'package:flutter_livepush_demo/page/push_config/push_config_effect.dart';
import 'package:flutter_livepush_demo/page/push_config/push_config_reducer.dart';

import 'push_config_state.dart';
import 'push_config_view.dart';

class ConfigPage extends Page<ConfigState, Map<String, dynamic>> {
  ConfigPage()
      : super(
          initState: initState,
          effect: buildEffect(),
          reducer: buildReducer(),
          view: buildView,
          dependencies: Dependencies<ConfigState>(
            adapter: null,
            slots: <String, Dependent<ConfigState>>{},
          ),
          middleware: <Middleware<ConfigState>>[],
        );
}
